Bug 1471357 - Firefox causes system to completely lock up.
Firefox causes system to completely lock up.
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-15 04:06 EDT by Brendan Shephard
Modified: 2017-07-24 06:28 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
journalctl --boot=-1 (Last few minutes before system freeze) (54.65 KB, text/plain)
2017-07-15 04:06 EDT, Brendan Shephard
no flags Details
ABRT Error file (26.13 KB, application/x-gzip)
2017-07-15 20:24 EDT, Brendan Shephard
no flags Details

  None (edit)
Description Brendan Shephard 2017-07-15 04:06:06 EDT
Created attachment 1298798 [details]
journalctl --boot=-1 (Last few minutes before system freeze)

Description of problem:
Firefox causing system to completely lock up. Unrecoverable, with no logs in the journal.

Version-Release number of selected component (if applicable):
$ gnome-shell --version
GNOME Shell 3.25.3

$ firefox --version
Mozilla Firefox 54.0

$ uname -r

How reproducible:
Every time I use Firefox. Doesn't always happen immediately but it happens without fail every time I use firefox. 

Steps to Reproduce:
1. Open Firefox
2. Browse Internet

Actual results:
System locks up and becomes completely unresponsive. Unable to open a new TTY line, move the mouse or do anything at all.

Expected results:
System wouldn't lock up

Additional info:
After rebooting, checking journalctl --boot=-1 doesn't provide any information relevant to the issue. Cant see anything in /var/spool/arbt or firefox crash reports. I'm lost for how to troubleshoot it at this point, but it's definitely an issue.
Comment 1 Brendan Shephard 2017-07-15 04:07:07 EDT
As I said, I'm not really sure how to troubleshoot the issue at this point. If you have any ideas, I would be happy to get more information.
Comment 2 Brendan Shephard 2017-07-15 04:15:56 EDT
Just did the same thing with Chrome as well.
Comment 3 Brendan Shephard 2017-07-15 20:24 EDT
Created attachment 1299126 [details]
ABRT Error file

Looks like the issue may be related to the Kernel. ABRT is reporting:
# cat backtrace 
kernel BUG at net/core/skbuff.c:1208!
Comment 4 Laura Abbott 2017-07-17 10:29:09 EDT
That abrt report isn't useful, unfortunately. The dmesg doesn't actually contain the backtrace to figure out the problem and neither does anything  else. It's still very early in the kernel cycle so the best option is probably to keep an eye on it or figure out how to get a full backtrace.
Comment 5 Phea Duch 2017-07-24 05:54:53 EDT
I'm experiencing this issue too with 4.13 using both Firefox and Chrome. Crashes in Firefox will record the skbuff.c:1280! line to the logs while Chrome records nothing.
Comment 6 Phea Duch 2017-07-24 06:28:15 EDT
It seems like Brendan and I are both using Dell XPS laptops, most likely with the same Broadcom card as mine:

3a:00.0 Network controller: Broadcom Limited BCM4350 802.11ac Wireless Network Adapter (rev 08)
	Subsystem: Dell Device 0023
	Kernel driver in use: brcmfmac
	Kernel modules: brcmfmac

[pd@XPS ~]$ dmesg | grep brcmfmac
[   88.279844] usbcore: registered new interface driver brcmfmac
[   88.281749] brcmfmac 0000:3a:00.0: enabling device (0000 -> 0002)
[   88.814866] brcmfmac: brcmf_c_preinit_dcmds: Firmware version = wl0: Oct 22 2015 06:16:26 version (r594535) FWID 01-e791c176
[   88.881213] brcmfmac 0000:3a:00.0 wlp58s0: renamed from wlan0
[   93.765859] brcmfmac: brcmf_p2p_create_p2pdev: set p2p_disc error
[   93.765879] brcmfmac: brcmf_cfg80211_add_iface: add iface p2p-dev-wlp58s0 type 10 failed: err=-16

Note You need to log in before you can comment on or make changes to this bug.